> For the complete documentation index, see [llms.txt](https://docs.skeddly.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.skeddly.com/resources/users/removeusermfa-method.md).

# RemoveUserMfa Method

## Description

Removes the MFA from a user.

## HTTP Request

`PUT https://api.skeddly.com/api/Users/{id}/RemoveMfa`

## URL Parameters

### id

ID of the user whose MFA is to be removed.

Type: `string`

Required: Yes

## Body

The body is a JSON structure with the following properties.

### mfaType

Type of MFA to remove. Must match the existing MFA type set on the user.

Type: `string`

Valid Values:

* `google-auth`
* `mobile-otp`

Required: Yes

## Returns

A [User](/data-types/user-object.md) object.

## Sample Request

{% tabs %}
{% tab title="HTTP" %}

```http
PUT /api/Users/u-00000001/RemoveMfa HTTP/1.1
Host: api.skeddly.com
Authorization: AccessKey <api key>
Content-Type: application/json

{
    "mfaType": "google-auth"
}
```

{% endtab %}

{% tab title="Bash" %}

```bash
curl -X PUT "https://api.skeddly.com/api/Users/u-00000001/RemoveMfa" \
  -H "Authorization: AccessKey <api key>" \
  -d mfaType="google-auth"
```

{% endtab %}
{% endtabs %}

## Sample Response

```javascript
{
    "emailAddress": "user@example.com",
    "lastAccessDate": "2016-06-09T11:00:00Z",
    "mfaType": "none",
    "status": "disabled",
    "userId": "u-00000001",
    "username": "user1"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.skeddly.com/resources/users/removeusermfa-method.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
